Bug 476211 - Mail.app reports "Unknown namespace" error with dovecot-1.0.7-2.el5
Mail.app reports "Unknown namespace" error with dovecot-1.0.7-2.el5
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dovecot (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 09:22 EST by ryo fujita
Modified: 2009-09-07 10:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 10:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ryo fujita 2008-12-12 09:22:20 EST
Description of problem:
Apple's Mail.app reports "Unknown namespace" error.

Version-Release number of selected component (if applicable):
dovecot-1.0.7-2.el5
Apple's Mail.app-3.5(929.4/929.2)

How reproducible:
Always

Steps to Reproduce:
1. configure dovecot.conf as follows.
namespace private {
separator = .
prefix = INBOX.
inbox = yes
}

2. input "INBOX" string to imap path prefix on Mail.app

3. connect to dovecot with Mail.app and get the error message.

Actual results:
Mail.app reports "Unknown namespace"

Expected results:
Mail.app doesn't report and can get emails.

Additional info:
http://www.jucktmich.net/?p=18
http://www.dovecot.org/list/dovecot/2007-January/018624.html
The latest version of dovecot, 1.1.7 seems to be fixed
Comment 1 Michal Hlavinka 2008-12-15 09:03:14 EST
Hi,

I'm far from reproducing and/or understanding to this problem and, unfortunately, I have no access to mail.app.

I was googling around but with no success, only I found this:

http://www.dovecot.org/list/dovecot/2007-January/018772.html

have you changed/updated something recently? Is it broken from the beginning or was it working for some time?

Could you try to reproduce this with dovecot 1.0 and 1.1 and get dovecot's raw logs? ( http://wiki.dovecot.org/Debugging/Rawlog ) Or, at least, try to fetch communication between dovecot and mail.app with wireshark or other tool (only if/for ssl disabled).

thanks
Comment 10 Michal Hlavinka 2009-08-05 03:18:39 EDT
ok, we still need reproducer and logs from 1.1 and 1.0 for comparison. Without needed information, if there is no other reporter, this bug will be closed as insufficient_data after month.
Comment 11 Michal Hlavinka 2009-09-07 10:24:04 EDT
this bug does not contain enough information. If you suffer from this bug and can provide requested info, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.